Show / Hide Table of Contents

# Class DidChangeConfigurationParams<TConfig>

##### Inheritance

System.Object
DidChangeConfigurationParams<TConfig>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class DidChangeConfigurationParams<TConfig>

##### Type Parameters

Name | Description
--- | ---
TConfig |

### Properties

| Improve this Doc View Source

#### Settings

##### Declaration

    public TConfig Settings { get; set; }

##### Property Value

Type | Description
--- | ---
TConfig |